<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="https://xrider.com/img/logo.png" type="image/x-icon">
    <link rel="shortcut icon" href="https://xrider.com/img/logo.png" type="image/x-icon">
    <title>Xrider Service</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
        }

        .email-container {
            max-width: 600px;
            margin: 40px auto;
            background-color: #ffffff;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        .email-header {
            text-align: center;
            padding: 20px;
            background-color: #fff;
            border-bottom: 2px solid #0073e6;
            color: white;
        }

        .email-content {
            padding: 20px;
            line-height: 1.6;
            color: #333333;
        }

        .email-footer {
            text-align: center;
            padding: 20px;
            background-color: #f4f4f4;
            color: #777777;
        }

        .email-footer a {
            color: #0073e6;
            text-decoration: none;
        }
    </style>
</head>

<body>
    <div class="email-container">
        <div class="email-header">
            <img src="https://xrider.com/img/xrider.png" alt="Logo" style="max-width: 150px;">
        </div>
        <div class="email-content">
            {TEMPLATE}
        </div>
        <div class="email-footer">
            <p>Port Harcourt.</p>
            <p>0801 2348 5678, 0901 1233 4567</p>
            <p>&copy; <?= date("Y") ?> Xrider Service. All rights reserved.</p>
        </div>
    </div>
</body>

</html>