<?php

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE"); 
header("Access-Control-Allow-Headers: Authorization, Origin, X-Requested-With, Content-Type, Accept");
header('Content-Type: application/json');


//TODO: INCLUDES
 
include_once __DIR__.'/siteSettings.php';
include_once __DIR__.'/controller/Database.php';
include_once __DIR__.'/controller/Commonfunctions.php';
include_once __DIR__.'/controller/EmailSender.php';
include_once __DIR__.'/controller/QueryBuilder.php';
include_once __DIR__.'/users/model/Model.php'; 
include_once __DIR__.'/controller/Helper.php'; 
require_once __DIR__.'/controller/JWTHandler.php';
require_once __DIR__.'/controller/Response.php';
require_once __DIR__.'/controller/smsSender.php';
require_once __DIR__.'/vendor/autoload.php'; 
//TODO: LOAD ENV FILE
CommonFunctions::loadEnv(__DIR__ . '/controller/.env');

//TODO: CREATE NEW OBJECT
$db = new Database();
$model = new Model($db); 
$helper = new Helper($db->getPDO());
$jwtHandler = new JWTHandler();
$smsSender = new SmsSender();

// echo CommonFunctions::generateUniqueID(62);
// echo CommonFunctions::hashPassword('youngsea23');
 