<?php
require_once dirname(__DIR__) . '/require.php';
require_once dirname(__DIR__) . '/verifyToken.php';
$jsonData = json_decode(file_get_contents("php://input"));

//TODO: PUT REQUEST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    //TODO: VERIFY ACCOUNT
    if (isset($jsonData->Message) and $jsonData->Message == 'processBooking') {


        $cost = CommonFunctions::clean($jsonData->cost);
        $pickupAddress = CommonFunctions::clean($jsonData->pickupAddress);
        $dropoffAddress = CommonFunctions::clean($jsonData->dropoffAddress);
        $pickuplat = CommonFunctions::clean($jsonData->pickuplat);
        $pickuplng = CommonFunctions::clean($jsonData->pickuplng);
        $dropofflat = CommonFunctions::clean($jsonData->dropofflat);
        $dropofflng = CommonFunctions::clean($jsonData->dropofflng);
        $senderName = CommonFunctions::clean($jsonData->senderName);
        $senderPhone = CommonFunctions::clean($jsonData->senderPhone);
        $receiverName = CommonFunctions::clean($jsonData->receiverName);
        $receiverPhone = CommonFunctions::clean($jsonData->receiverPhone);
        $deliveryType = CommonFunctions::clean($jsonData->deliveryType);

        $pickupDate = $deliveryType == 'express' ?
            date("Y-m-d") :
            date("Y-m-d", strtotime(CommonFunctions::clean($jsonData->pickupDate)));

        $distance = CommonFunctions::clean($jsonData->distance);
        $category = CommonFunctions::clean($jsonData->category);
        $desc = CommonFunctions::clean($jsonData->desc);
        $trackingCode = CommonFunctions::generateRandomNumber();
        $data = [
            "bid" => CommonFunctions::generateUniqueID(),
            "trackingCode" => $trackingCode,
            "senderId" => $userid,
            "senderEmail" => $email,
            "senderName" => $senderName,
            "senderPhone" => $senderPhone,
            "receiverName" => $receiverName,
            "receiverPhone" => $receiverPhone,
            "pickupAddress" => $pickupAddress,
            "dropoffAddress" => $dropoffAddress,
            "pickuplat" => $pickuplat,
            "pickupLong" => $pickuplng,
            "dropofflat" => $dropofflat,
            "dropoffLong" => $dropofflng,
            "dcost" => $cost,
            "ddistance" => $distance,
            "dcategory" => $category,
            "deliveryType" => $deliveryType,
            "pickupDate" => $pickupDate, //TODO: pickupdate is required
            "ddate" => CommonFunctions::getDateTime(1),
            "searchDate" => CommonFunctions::getDate('1 hour'),
        ];

        // `riderId`='[value-18]',`riderName`='[value-19]',`riderPhone`='[value-20]',`riderEmail`='[value-21]',`dcost`='[value-22]',`dnegotiate`='[value-23]',`negotiatePrice`='[value-24]',`negotiateStatus`='[value-25]',`dstatus`='[value-26]',`searchDate`='[value-27]',`ddate`='[value-28]' WHERE 1

        echo  $model->processBooking($senderName, $email, $trackingCode, $data);
    }
}
