<?php

require './auth.php';
if (!isset($_SESSION['admin']) && $_SESSION['admin'] != true) {
    header("Location: ./index");
}

?>
<!DOCTYPE html>
<html lang="en">


<?php include 'style.php'; ?>

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBBTKWC2pTu2d-zw-GglVuzMYrPl3DtSHU"></script>

<body class="skin-default fixed-layout" onload="initMap()">


    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <?php include 'header.php'; ?>

        <!-- ============================================================== -->
        <!-- End Topbar header -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <?php include 'aside-left.php'; ?>

        <!-- ============================================================== -->
        <!-- End Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="row page-titles">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor">Deliveries Details </h4>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                <li class="breadcrumb-item active"> Deliveries Details </li>
                            </ol>
                        </div>
                    </div>
                </div>

                <?php $id = CommonFunctions::clean($_GET['id']);
 
                $row = $query->read("dbookings")->where(['bid' => $id])->get('*', false);

                if (!empty($row)) {
                    $num = 1;
                    // $row = $c->fetch_assoc();
                    $img =  empty($row['driver_photo']) ? "./user.png" : '../img/' . $row['driver_photo'] . '.jpg';

                    $driver_id = $row['riderId'];
                    $approveDate = gmdate("Y-m-d H:i:s", strtotime('+1 hour'));

                    $pickupLat = (float)$row['pickupLat'];
                    $pickupLng = (float)$row['pickupLong'];

                    $dropoffLat = (float)$row['dropoffLat'];
                    $dropoffLng = (float)$row['dropoffLong'];

                ?>
                    <div class="row">



                        <div class="col-lg-12">
                            <div class="card">
 
                                <div class="card-body">


                                    <div class="row">
                                        <div class="col-md-6">

                                            <div class="table-responsive">
                                                <table class="table">
                                                    <tr>
                                                        <th>Category</th>
                                                        <td><?php echo $row['dcategory']; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Date|Time of Booking</th>
                                                        <td><?php echo $row['ddate']; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Pick-up Location</th>
                                                        <td><?php echo $row['pickupAddress']; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Drop-off Location</th>
                                                        <td><?php echo $row['dropoffAddress']; ?></td>
                                                    </tr>
                                                    <tr>
                                                        <th>Status</th>
                                                        <td><?php echo $row['dstatus']; ?></td>
                                                    </tr>

                                                </table>
                                            </div>
                                        </div>

                                        <div class="col-md-6">
                                            <div id="map" style="height: 300px; width: 100%;"></div>
                                        </div>


                                    </div>
                                </div>

                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="card card-body ">

                                <div class="row">
                                    <div class="col-md-12">
                                        <h4>Customer Information</h4>
                                        <hr>
                                    </div>
                                    <div class="col-md-5 m-auto">
                                        <center>

                                            <img src="./user.png" class="img-thumbnail ">
                                        </center>
                                    </div>

                                    <div class="col-md-12 mt-3">
                                        <div class="table-responsive">
                                            <table class="table table-hover">
                                                <tr>
                                                    <th> <b>Fullname</b> </th>
                                                    <td><?= $row['senderName'] ?></td>
                                                </tr>
                                                <tr>
                                                    <th> <b>Phone No.</b> </th>
                                                    <td><?= $row['senderPhone'] ?></td>
                                                </tr>
                                                <tr>
                                                    <th> <b>Email</b> </th>
                                                    <td><?= $row['senderEmail'] ?></td>
                                                </tr>
                                                <tr>
                                                    <th> </th>
                                                    <td> <a href="customers/<?= $row['senderId'] ?>/" class="btn btn-warning">Go to Profile</a> </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>

                                </div>

                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="card card-body ">

                                <div class="row">
                                    <div class="col-md-12">

                                        <h4>Rider Information</h4>
                                        <hr>
                                    </div>
                                    <div class="col-md-5 m-auto">
                                        <center>
                                            <img src="./user.png" class="img-thumbnail ">
                                        </center>
                                    </div>

                                    <div class="col-md-12 mt-3">
                                        <div class="table-responsive">
                                            <table class="table table-hover">
                                                <tr>
                                                    <th>Fullname</th>
                                                    <td><?php echo $row['riderName']; ?></td>

                                                </tr>

                                                <tr>
                                                    <th>Phone</th>
                                                    <td><?php echo $row['riderPhone']; ?></td>
                                                </tr>
 
                                                <tr>
                                                    <th> </th>
                                                    <td> <a href="rider/<?php echo $row['riderId']; ?>" class="btn btn-dark">Go to Profile</a> </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>

                <?php  } else { ?>

                    <div class="card">
                        <div class="card-body">
                            <h5 class="text-danger">Sorry, No result found! </h5>
                        </div>
                    </div>

                <?php   }
                ?>

            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
        </div>




        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
        <?php include 'footer.php'; ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->

    <?php include 'script.php'; ?>

    <script>
        function initMap() {
            // Define the coordinates for the pickup and dropoff locations
            var pickupLocation = {
                lat: <?= $pickupLat ?>,
                lng: <?= $pickupLng ?>
            }; // Los Angeles
            var dropoffLocation = {
                lat: <?= $dropoffLat ?>,
                lng: <?= $dropoffLng ?>
            }; // Las Vegas

            // Create the map centered at the pickup location
            var map = new google.maps.Map(document.getElementById('map'), {
                zoom: 10,
                center: pickupLocation
            });

            // Add markers for pickup and dropoff locations
            var pickupMarker = new google.maps.Marker({
                position: pickupLocation,
                map: map,
                title: 'Pickup Location',
                icon: {
                    url: "http://maps.google.com/mapfiles/ms/icons/blue-dot.png"
                }
            });

            var dropoffMarker = new google.maps.Marker({
                position: dropoffLocation,
                map: map,
                title: 'Dropoff Location'
            });

            // Define the polyline path
            var pathCoordinates = [
                pickupLocation,
                dropoffLocation
            ];

            // Create the polyline
            var polyline = new google.maps.Polyline({
                path: pathCoordinates,
                geodesic: true,
                strokeColor: '#FF0000',
                strokeOpacity: 1.0,
                strokeWeight: 2
            });

            // Set the polyline on the map
            polyline.setMap(map);
        }
    </script>



</body>


</html>