<?php


require './auth.php';
// echo $_SESSION['userid'];
if (!isset($_SESSION['admin']) && $_SESSION['admin'] != true) {
    header("Location: index");
}


?>
<!DOCTYPE html>
<html lang="en">


<?php include 'style.php'; ?>

<body class="skin-default fixed-layout">


    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <?php include 'header.php'; ?>

        <!-- ============================================================== -->
        <!-- End Topbar header -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <?php include 'aside-left.php'; ?>

        <!-- ============================================================== -->
        <!-- End Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <?php 
                 $name = CommonFunctions::clean($_GET['id']);
                 if($name == 'pending'){
                     $title = 'Pending ';
                     $status = 'pending';
                 }
                 else if($name == 'transit'){
                     $title = 'In-transit';
                     $status = 'transit';
                 }
                 else if($name == 'delivered'){
                     $title = 'Completed';
                     $status = 'delivered';
                 }
                 else{
                     $title = 'Cancelled';
                     $status = 'cancelled';
                 }

                  
                  ?>
                <div class="row page-titles">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor"><?= ucfirst($title) ?> Deliveries  </h4>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                <li class="breadcrumb-item active"> <?= ucfirst($title) ?> Deliveries </li>
                            </ol>
                        </div>
                    </div>
                </div>


                <?php

                if (isset($_GET['page_no']) && $_GET['page_no'] != "") {
                    $page_no = $_GET['page_no'];
                } else {
                    $page_no = 1;
                }
                $total_records_per_page = 200;



                $total_records = $helper->getTotalRowCount("dbookings", " WHERE dstatus='$status' ORDER BY id DESC");
                $total_no_of_pages = ceil($total_records / $total_records_per_page);
                $start_from = ($page_no - 1) * $total_records_per_page;
                $rows = $helper->getAllRecord("dbookings", " WHERE dstatus='$status' ORDER BY id DESC LIMIT $start_from, $total_records_per_page");
                ?>


                <div class="card "> 
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>Date</th>
                                        <th>Fullname</th>
                                        <th>Pickup</th>
                                        <th>Dropoff</th>
                                        <th>Rider Name</th>
                                        <th>---</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    if (!empty($rows)) {
                                        foreach ($rows as $row) {
                                    ?>
                                    <tr>
                                        <td><?php echo date('d-m-Y', strtotime($row['date_created']));?></td>
                                        <td><?php echo $row['customer_name'];?></td>
                                        <td><?php echo $row['pickup_address'];?></td>
                                        <td><?php echo $row['dropoff_address'];?></td>
                                        <td><?php echo $row['driver_name'];?></td>
                                        <td>
                                            <a href="job/<?= $row['transid']?>/" class="btn btn-info btn-sm">Details</a>
                                        </td>
                                        </tr> 
                                        <?php
                                    }
                                }else{ ?>
                                <tr>
                                    <td colspan="6"> <b class="text-danger">No record found</b> </td>
                                </tr>
                                <?php }?>   

                                </tbody>
                            </table>


                        </div>



                    </div>
                </div>
            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
        </div>


        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
        <?php include 'footer.php'; ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->





    <?php include 'script.php'; ?>

</body>


</html>