<?php


require './auth.php';
if (!isset($_SESSION['admin']) && $_SESSION['admin'] != true) {
    header("Location: index");
}


?>
<!DOCTYPE html>
<html lang="en">


<?php include 'style.php'; ?>

<body class="skin-default fixed-layout">


    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <?php include 'header.php'; ?>

        <!-- ============================================================== -->
        <!-- End Topbar header -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <?php include 'aside-left.php'; ?>

        <!-- ============================================================== -->
        <!-- End Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="row page-titles">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor">Price Setting </h4>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                <li class="breadcrumb-item active"> Price Setting </li>
                            </ol>
                        </div>
                    </div>
                </div>

                <?php $rows = $query->read("dcategory")->get(); ?>

                <div class="container my-3">
                    <div class="row">
                        <div class="col-md-8"></div>
                        <div class="col-md-4 text-right">
                            <a href="javascript:void(0)" data-toggle="modal" data-target="#add" class="btn btn-info"> <i class="fa fa-plus"></i> Create New </a>
                        </div>
                    </div>
                </div>


                <div class="row">
                    <div class="col-md-12 m-auto">
                        <div class="card ">
                            <div class="card-body">

                                <div class="table-responsive">
                                    <table class="table table-hover">
                                        <thead>
                                            <tr>
                                                <td>S/N</td>
                                                <td>Category</td>
                                                <td>PerKm</td>
                                                <td>---</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php foreach ($rows as $key => $row) { ?>
                                                <tr>
                                                    <td><?= $key+1 ?></td>
                                                    <td><?= $row['dcategory'] ?></td>
                                                    <td><?= CommonFunctions::formatNaira($row['perKm']) ?></td>
                                                    <td>
                                                    <a href="javascript:void(0)"
                                                      
                                                      data-store='<?php 
                                                      echo json_encode([
                                                            "id" => $row['id'], 
                                                            "dcategory" => $row['dcategory'], 
                                                            "perKm" => $row['perKm']
                                                        ]);
                                                      ?>'
                                                       class="editCategory btn btn-warning btn-sm">Edit</a>
                                                    </td>
                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>
                                </div>


                            </div>



                        </div>

                    </div>
                </div>
            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
        </div>


        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
        <?php include 'footer.php'; ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->




    <div class="modal fade" id="add" role="dialog" aria-labelledby="addressModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form action="controller" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                        <h3 class="modal-title" id="addressModalLabel">Create New Price </h3>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div><!-- End .modal-header -->
                    <div class="modal-body">

                        <input type="hidden" name="link" value="price"> 
                        <div class="form-group">
                            <label for="">Category</label> 
                            <input type="text" name="category" placeholder="Category" class="form-control">
                        </div>

                        <div class="form-group">
                            <label for="">Price Per Kilometer</label> 
                            <input type="number" name="price" placeholder="price"class="form-control">
                        </div>


                    </div><!-- End .modal-body -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-link btn-sm" data-dismiss="modal">Close</button>
                        <button type="submit" name="savePrice" value="create" class="btn btn-primary btn-sm">Submit</button>
                    </div><!-- End .modal-footer -->
                </form>
            </div><!-- End .modal-content -->
        </div><!-- End .modal-dialog -->
    </div>


    <div class="modal fade" id="edit" role="dialog" aria-labelledby="addressModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form action="controller" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                        <h3 class="modal-title" id="addressModalLabel">Edit Price </h3>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div><!-- End .modal-header -->
                    <div class="modal-body">

                        <input type="hidden" name="link" value="price"> 
                        <input type="hidden" name="id" id="id" > 
                        <div class="form-group">
                            <label for="">Category</label>
                            <input type="text" name="category" id="category" required class="form-control">

                        </div> 
                        <div class="form-group">
                            <label for="">Km Fee</label>
                            <input type="number" name="price" id="perKm" required class="form-control">

                        </div>
                          

                    </div><!-- End .modal-body -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-link btn-sm" data-dismiss="modal">Close</button>
                        <button type="submit"  name="savePrice" value="update" class="btn btn-primary btn-sm">Submit</button>
                    </div><!-- End .modal-footer -->
                </form>
            </div><!-- End .modal-content -->
        </div><!-- End .modal-dialog -->
    </div>

    <?php include 'script.php'; ?>
    <script>
        $('.editCategory').on('click', function() {
            $("#edit").modal('show');
            var data = $(this).data('store'); 
            $('#id').val(data.id);
            $('#category').val(data.dcategory); 
            $('#perKm').val(data.perKm); 
        });
    </script>

</body>


</html>