<?php
require 'clean.php';

require './auth.php';
if(!isset($_SESSION['admin']) && $_SESSION['admin'] != true){
    header("Location: index");
}
if($user['dlevel'] !='Administrator'){
 
    if(!in_array('Settings',$state)){
        $_SESSION['msg']='Fail! Access denied!';
        header('Location:dashboard');
    }
}
?>
<!DOCTYPE html>
<html lang="en">


<?php include 'style.php'; ?>

<body class="skin-default fixed-layout <?php echo SKIN ?>">
    
    
    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <?php include 'header.php'; ?>

        <!-- ============================================================== -->
        <!-- End Topbar header -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <?php include 'aside-left.php'; ?>

        <!-- ============================================================== -->
        <!-- End Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="row page-titles mt-3g">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor">Dashboard </h4>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                <li class="breadcrumb-item active"> Staff </li>
                            </ol>
                        </div>
                    </div>
                </div>
               
                <?php
                    if (isset($_GET['page_no']) && $_GET['page_no']!="") {
                        $page_no = $_GET['page_no'];
                    } else {
                        $page_no = 1;
                        } 
                        $total_records_per_page = 200;

                        ?>


                <div class="container " style="margin: 20px 0 !important;">
                    <div class="row">
                        <div class="col-md-4">
                                    
                        </div>
                        <div class="col-md-4"></div>
                        <div class="col-md-4">
                            <button type="button" class="btn btn-success style3 " style="float:right;" data-toggle="modal" data-target="#add">Add New Staff</button>
                        </div>
                    </div>

         
                </div>

                <div class="row">
                    <!-- ============================================================== -->
                    <!-- Table -->
                    <!-- ============================================================== -->
                    <div class="col-lg-12">
                        <div class="card">

                        <div class="card-header">
                        Staff
                        </div>
                            <div class="card-body">
                            <div class="table-responsive " style="min-height: 200px;">
                            <table class="table table-hover">
                                            <thead>
                                                <tr>
                                                    <th>#</th> 
                                                    <th>Name</th>   
                                                    <th>Email</th>   
                                                    <th>Privilege</th>   
                                                    <th>---</th>
                                                </tr>
                                            </thead>
                                            <tbody id="myDIV">
                                            <?php 
                                    
                                                $sqls=$conn->query("SELECT * FROM `dadmin` WHERE dlevel !='administrator'  ORDER BY id");
                                                $total_records =$sqls->num_rows;
                                                $total_no_of_pages = ceil($total_records / $total_records_per_page);
                                                $start_from = ($page_no - 1) * $total_records_per_page;
                                                $c = $conn->query("SELECT * FROM `dadmin` WHERE dlevel !='administrator'  ORDER BY id LIMIT $start_from, $total_records_per_page");
                                    
                                                if($c->num_rows>0){
                                                    $num = 1;
                                                    while($row=$c->fetch_assoc()):?>
                                                    <tr> 
                                                       
                                                        <td> <?php echo $num++; ?> </td> 
                                                        <td> <?php echo $row['dname']; ?> </td> 
                                                        <td> <?php echo $row['demail']; ?> </td> 
                                                        <td> <?php echo $row['dprivilege']; ?> </td> 
                                                        <td>

                                                        <a class="btn btn-info btn-sm" data-toggle="modal" data-target="#max<?php echo $row['id']; ?>" href="javascript:void(0)">Edit</a>

                                                        <a class="btn btn-danger btn-sm" 
                                                            id="hudoDelete" 
                                                            user="<?php echo $row['userid']; ?>"  
                                                            state="route"  
                                                            href="javascript:void(0)">Delete</a> 
 

                                                        </td>
                                                    </tr>
                                                    <?php endwhile;  }else{
                                                        echo '
                                                        <tr>
                                                        <td colspan="4" class="text-danger">Sorry! No result found </td>
                                                        </tr>
                                                        ';
                                                    }
                                                    ?>
                                                    
                                            </tbody>

                                        </table>

                               
                                       

                            </div>
                            </div>
                            <div class="card-footer">
                            <ul class="pagination pagination-md justify-content-center">
            
                                <?php 
                                if(isset($_GET['search']) AND !empty($_GET['search'])){
                                    for ($counter = 1; $counter <= $total_no_of_pages; $counter++){ 
                                        echo "<li  class='page-item '><a class='page-link' href='manage-categories?page_no=$counter&search=$search' style='color:#0088cc;'>$counter</a></li>"; 
                                    
                                    }
                                }else{
                                    for ($counter = 1; $counter <= $total_no_of_pages; $counter++){ 
                                        echo "<li  class='page-item '><a class='page-link' href='?page_no=$counter' style='color:#0088cc;'>$counter</a></li>"; 
                                    
                                    }
                                }
                            
                                ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ============================================================== -->
                <!-- End Comment - chats -->
                <!-- ============================================================== -->
                
                  
            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
        </div>


        <div class="modal fade" id="add" tabindex="-1" role="dialog" aria-labelledby="addressModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document" style="max-width:550px;">
            <div class="modal-content">
                <form action="staff-process" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                        <h3 class="modal-title" id="addressModalLabel">Staff </h3>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div><!-- End .modal-header -->
                    <div class="modal-body">
                   
                        <div class="form-group">
                            <label for="cat">Fullname </label>
                            <input type="text" name="name" id="cat" required placeholder="Enter Fullname" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="cat">Email Address </label>
                            <input type="email" name="email" id="cat" required placeholder="Enter Email Address" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="cat">Password </label>
                            <input type="password" name="pass" id="cat" required placeholder="Enter Password" class="form-control">
                        </div>

                        <div class="form-group">
                            <div class="form-check">
                            <input class="form-check-input" name="new" value="New" type="checkbox" id="gridCheck">
                            <label class="form-check-label" for="gridCheck">
                                Create New Order
                            </label>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="form-check">
                            <input class="form-check-input" name="order" value="Orders" type="checkbox" id="gridCheckz">
                            <label class="form-check-label" for="gridCheckz">
                                Manage Orders
                            </label>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="form-check">
                            <input class="form-check-input" name="services" value="Services" type="checkbox" id="gridCheck2">
                            <label class="form-check-label" for="gridCheck2">
                                Manage Services
                            </label>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="form-check">
                            <input class="form-check-input" name="settings" value="Settings" type="checkbox" id="gridCheck1">
                            <label class="form-check-label" for="gridCheck1">
                                Manage Settings
                            </label>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="form-check">
                            <input class="form-check-input" name="payment" value="Payment" type="checkbox" id="gridCheck1">
                            <label class="form-check-label" for="gridCheck1">
                                Manage Payment
                            </label>
                            </div>
                        </div>
                          
                    </div><!-- End .modal-body -->
                    <div class="modal-footer">
                    <button type="button" class="btn btn-link btn-sm" data-dismiss="modal">Close</button>
                        <button type="submit" name="saveStaff" class="btn btn-primary btn-sm">Submit</button>
                    </div><!-- End .modal-footer -->
                </form>
            </div><!-- End .modal-content -->
        </div><!-- End .modal-dialog -->
    </div>

<?php

    $x = $conn->query("SELECT * FROM `dadmin` ORDER BY id");
    if($x->num_rows>0):
        while($xx = $x->fetch_assoc()):
            $arr = explode(',',$xx['dprivilege']);
        ?>
    <div class="modal fade" id="max<?php echo $xx['id']; ?>" tabindex="-1" role="dialog" aria-labelledby="addressModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document" style="max-width:550px;">
            <div class="modal-content">
                <form action="route-process" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                        <h3 class="modal-title" id="addressModalLabel">Update Staff</h3>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div><!-- End .modal-header -->
                    <div class="modal-body">
 
                        <input type="hidden" name="id" value="<?php echo $xx['userid']; ?>" > 
                         
                        <div class="form-group">
                            <label for="cat">Fullname </label>
                            <input type="text" name="name" id="cat" required value="<?php echo $xx['dname']; ?>" placeholder="Enter Fullname" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="cat">Email Address </label>
                            <input type="email" name="email" id="cat" required value="<?php echo $xx['demail']; ?>" placeholder="Enter Email Address" class="form-control">
                        </div>
                       

                        <div class="form-group">
                            <div class="form-check">
                            <input class="form-check-input" name="new" value="New" <?php echo in_array('New',$arr)?'checked':'' ?> type="checkbox" id="gridCheck">
                            <label class="form-check-label" for="gridCheck">
                                Create New Order
                            </label>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="form-check">
                            <input class="form-check-input" name="order" value="Orders" <?php echo in_array('Orders',$arr)?'checked':'' ?> type="checkbox" id="gridCheckz">
                            <label class="form-check-label" for="gridCheckz">
                                Manage Orders
                            </label>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="form-check">
                            <input class="form-check-input" name="services" value="Services" <?php echo in_array('Services',$arr)?'checked':'' ?> type="checkbox" id="gridCheck2">
                            <label class="form-check-label" for="gridCheck2">
                                Manage Services
                            </label>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="form-check">
                            <input class="form-check-input" name="settings" value="Settings" <?php echo in_array('Settings',$arr)?'checked':'' ?> type="checkbox" id="gridCheck1">
                            <label class="form-check-label" for="gridCheck1">
                                Manage Settings
                            </label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="form-check">
                            <input class="form-check-input" name="payment" value="Payment" <?php echo in_array('Payment',$arr)?'checked':'' ?> type="checkbox" id="gridCheck1">
                            <label class="form-check-label" for="gridCheck1">
                                Manage Payment
                            </label>
                            </div>
                        </div>
  
                    </div><!-- End .modal-body -->
                    <div class="modal-footer">
                    <button type="button" class="btn btn-link btn-sm" data-dismiss="modal">Close</button>
                        <button type="submit" name="saveRouteX" class="btn btn-primary btn-sm">Update</button>
                    </div><!-- End .modal-footer -->
                </form>
            </div><!-- End .modal-content -->
        </div><!-- End .modal-dialog -->
    </div>

     
        <?php endwhile; endif; ?>
      
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
        <?php include 'footer.php'; ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->

    <?php include 'script.php'; ?>
</body>


</html>