<?php
require 'clean.php';

require './auth.php';
if (!isset($_SESSION['admin']) && $_SESSION['admin'] != true) {
    header("Location: ../../index");
}

?>
<!DOCTYPE html>
<html lang="en">


<?php include 'style.php'; ?>

<body class="skin-default fixed-layout">


    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <?php include 'header.php'; ?>

        <!-- ============================================================== -->
        <!-- End Topbar header -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <?php include 'aside-left.php'; ?>

        <!-- ============================================================== -->
        <!-- End Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="row page-titles">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor">Dashboard </h4>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                <li class="breadcrumb-item active"> Users Details </li>
                            </ol>
                        </div>
                    </div>
                </div>

                <?php $id = clean($_GET['id']);

                $c = $conn->query("SELECT * FROM `dlogin` WHERE userid='$id' ");

                if ($c->num_rows > 0) {
                    $num = 1;
                    $row = $c->fetch_assoc();
                    $img = empty($row['dpassport']) ? "./user.png" : SITELINK .'/'. $row['dpassport'] ;
                    $status = $row['account_status'];
                    $name = $row['dfullname'];
                    $email = $row['demail'];
                    // https://samogoza.com/uploads/
                ?>
                    <div class="row">
                        <!-- ============================================================== -->
                        <!-- Table -->
                        <!-- ============================================================== -->

                        <div class="col-md-12 my-3">

                            <div class="text-right">
                                <?php if (empty($row['dpassword'])) { ?>

                                    <a href="javascript:void(0)"  data-toggle="modal" data-target="#login" class="btn btn-dark"> <i class="fa fa-person"></i> Activate User Login </a>

                                <?php } if ($row['account_status'] == 'pending') { ?>
                                    <a href="javascript:void(0)"
                                    data-request='<?php  echo json_encode([
                                    "istrue" => true,
                                    "state" => "update",
                                    "table" => "dlogin",
                                    "clause" => [
                                        "userid"=>$row['userid'],                                            
                                    ],
                                    "data" => [
                                        "account_status"=>"approved",
                                    ],
                                    "emailAddress" => [
                                        "name"=>$name,
                                        "email"=>$row['demail'], 
                                        "phone"=>$row['dphone'], 
                                        "subject"=>"Account Verification", 
                                        "message"=>"<h5>Dear $name,</h5>
                                        <p>Your account has been approved. login to Samogoza app to continue applying for your loan.</p>
                                        <p>Best Regard</p>", 
                                    ],
                                    "retunLink" => "",
                                    "response" => "Approved.",  
                                    "message" => "Are you sure you want to mark this approve this account?",
                                    "img" => []
                    
                                ]) ?>'
                                 id="appRequest"  class="btn btn-success" > <i class="fa fa-check"></i> Approve Account </a>
                                <?php }else{ ?>

                                    <a href="create/<?= $id ?>/" class="btn btn-info"> Create/Loan History</a>
                                
                                <!-- <a href="javascript:void(0)" data-toggle="modal" data-target="#add" class="btn btn-info"> <i class="fa fa-edit"></i> Edit Account</a> -->

                                <?php } if ($row['dstatus'] == 'banned') { ?>
                                    <a id="appRequest"
                                        data-request='<?php 
                                            echo json_encode([
                                            "istrue" => true,
                                            "state" => "update",
                                            "table" => "dlogin",
                                            "clause" => [
                                                "userid"=>$row['userid'], 
                                                "demail"=>$row ['demail'],                                           
                                            ],
                                            "data" => [
                                                "dstatus"=>"active",
                                            ],
                                            "emailAddress" => [
                                                "name"=>$name,
                                                "email"=>$row['demail'], 
                                                "phone"=>$row['dphone'], 
                                                "subject"=>"Account Re-activation", 
                                                "message"=>"<h5>Dear $name,</h5>
                                                <p>Your account has been re-activated, You can now login to your account.</p>
                                                <p>Best Regard</p>", 
                                            ],
                                            "retunLink" => "",
                                            "response" => "Account re-activated successfully.",  
                                            "message" => "Are you sure you want to re-activated this account?",
                                            "img" => []
                            
                                        ])
                                        ?>' href="javascript:void(0)" class="btn btn-danger">Unban Account</a>

                                <?php } else { ?>
                                    <a id="appRequest"
                                        data-request='<?php 
                                            echo json_encode([
                                            "istrue" => true,
                                            "state" => "update",
                                            "table" => "dlogin",
                                            "clause" => [
                                                "userid"=>$row['userid'],                                            
                                            ],
                                            "data" => [
                                                "dstatus"=>"banned",
                                            ],
                                            "emailAddress" => [
                                                "name"=>$name,
                                                "email"=>$row['demail'], 
                                                "phone"=>$row['dphone'], 
                                                "subject"=>"Account Suspended", 
                                                "message"=>"<h5>Dear $name,</h5>
                                                <p>Your account has been suspended, contact the support team is this was by mistake.</p>
                                                <p>Best Regard</p>", 
                                            ],
                                            "retunLink" => "",
                                            "response" => "Account suspended successfully.",  
                                            "message" => "Are you sure you want to suspended this account?",
                                            "img" => []
                            
                                        ])
                                        ?>' href="javascript:void(0)" class="btn btn-danger">Ban Account</a>
                                <?php  } ?>

                                    <a href="javascript:void(0)" 
                                    id="appRequest"
                                    data-request='<?php 
                                        echo json_encode([
                                        "istrue" => true,
                                        "state" => "delete",
                                        "table" => "dlogin",                                    
                                        "clause" => [ "userid"=>$row['userid'] ],
                                        "data" => [
                                            "vstatus"=>"delete",
                                        ],
                                        "emailAddress" => [
                                            "name"=>$name,
                                            "email"=>$row['demail'], 
                                            "phone"=>$row['dphone'], 
                                            "subject"=>"Account Deleted", 
                                            "message"=>"<h5>Dear $name,</h5>
                                            <p>Your account has been successfully deleted as requested by you.</p>
                                            <p>Best Regard</p>", 
                                        ],
                                        "retunLink" => "",
                                        "response" => "Account Deleted successfully.",  
                                        "message" => "Are you sure you want to delete this account?",
                                        "img" => ["image"=>$row['dpassport'], "image"=>$row['paymentSlip'] ]
                        
                                    ])
                                    ?>'
                                 class="btn btn-light"> <i class="fa fa-trash"></i> Delete Account </a>

                               
                            </div>




                        </div>
                        <div class="col-lg-12">
                            <div class="card">

                                <div class="card-header">
                                    
                                    <div class="row">
                                        <div class="col-md-8">
                                        <h3>Users Details</h3>
                                        </div>
                                        <div class="col-md-4 text-right">
                                            <a href="javascript:void(0)" data-toggle="modal" data-target="#add"  class="btn btn-dark"> <i class="fa fa-edit"></i> Edit </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">


                                    <?php if (isset($_SESSION['report'])) echo $_SESSION['report']; ?>

                                    <div class="row">
                                        <div class="col-md-4">
                                            <center>
                                                <img src="<?php echo $img ?>" class="img-thumbnail" style="width: 280px !important;height: 280px !important;">
                                            </center>
                                        </div>

                                        <div class="col-md-8">

                                        <?php if (isset($_SESSION['msg'])) echo $_SESSION['msg']; ?>
                                            <div class="table-responsive ">
                                                <table class="table table-hover no-wrap">

                                                    <tbody>

                                                        <tr>
                                                            <th>Fullname</th>

                                                            <?php if (!empty($row['dfullname'])) { ?>
                                                                <td><?php echo $row['dfullname']; ?></td>
                                                            <?php } else { ?>
                                                                <td><?php echo $row['dfirstname'] . ' ' . $row['dlastname']; ?></td>
                                                            <?php } ?>
                                                        </tr>
                                                        <!-- <tr> 
                                                            <th>Username</th>
                                                            <td><?php //echo $row['username']; 
                                                                ?></td>
                                                        </tr> -->
                                                        <tr>
                                                            <th>Phone</th>
                                                            <td><?php echo $row['dphone']; ?></td>
                                                        </tr>

                                                        <tr>
                                                            <th>Email</th>
                                                            <td><?php echo $row['demail']; ?></td>
                                                        </tr>


                                                        <tr>
                                                            <th>Email Status</th>
                                                            <td>
                                                                <?php 
                                                                if($row['dstatus']=='active'){ ?>
                                                             Verified   <img src="./verified.png" style="width: 20px;" alt="">

                                                               <?php }else{

                                                                  echo  ucfirst($row['dstatus']); 
                                                                }
                                                                ?>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <th>Account Status</th>
                                                            <td>
                                                            <?php 
                                                                if($row['account_status']=='approved'){ ?>
                                                             Approved   <img src="./verify.png" style="width: 20px;" alt="">

                                                               <?php }else{

                                                                  echo  ucfirst($row['account_status']); 
                                                                }
                                                                ?>
                                                                <?php //echo ucfirst($row['account_status']); ?>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <th>Reg. Date</th>
                                                            <td><?php echo date("d M Y", strtotime($row['ddate'])); ?></td>
                                                        </tr>



                                                    </tbody>
                                                </table>



                                            </div>


                                        </div>

                                        <div class="col-md-12 mt-5" id="person">
                                            <div class="card-header">
                                                <div class="row">
                                                    <div class="col-md-8">
                                                    <h3>Personal Information</h3>
                                                    </div>
                                                    <div class="col-md-4 text-right">
                                                        <a href="javascript:void(0)"  data-toggle="modal" data-target="#employment" class="btn btn-dark"> <i class="fa fa-edit"></i> Edit </a>
                                                    </div>
                                                </div>
                                            </div>
                                           
                                            <div class="table-responsive ">
                                                <table class="table table-hover no-wrap">

                                                    <tbody>

                                                        <tr>
                                                            <th>Computer ID</th>
                                                            <td><?php echo !empty($row['computerId']) ? $row['computerId'] : "Null"; ?></td>
                                                        </tr>

                                                        <tr>
                                                            <th>Nature of Employment</th>
                                                            <td><?php echo !empty($row['natureEmployed']) ? $row['natureEmployed'] : "Null"; ?></td>
                                                        </tr>

                                                        <tr>
                                                            <th>Department</th>
                                                            <td><?php echo !empty($row['ddepartment']) ? $row['ddepartment'] : "Null"; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th>Year of Employment</th>
                                                            <td><?php echo !empty($row['yearEmployed']) ? $row['yearEmployed'] : "Null"; ?></td>
                                                        </tr>
                                                        <tr> 
                                                            <th>Designation</th>
                                                            <td><?php echo !empty($row['ddesignation']) ? $row['ddesignation'] : "Null"; ?></td>
                                                        </tr>
                                                        <tr>
                                                            <th>Home Address</th>
                                                            <td><?php echo !empty($row['residentAddress']) ? $row['residentAddress'] : "Null"; ?></td>
                                                        </tr>



                                                    </tbody>
                                                </table>



                                            </div>


                                        </div>

                                        <div class="col-md-12 mt-3" id="accounts">

                                            <div class="card-header">
                                                <div class="row">
                                                    <div class="col-md-8">
                                                    <h3>Account Details</h3>
                                                    </div>
                                                    <div class="col-md-4 text-right">
                                                        <a href="javascript:void(0)" data-toggle="modal" data-target="#account" class="btn btn-dark"> <i class="fa fa-edit"></i> Edit </a>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="table-responsive ">
                                                <table class="table table-hover no-wrap">

                                                    <tbody>

                                                        <tr>
                                                            <th>Account Name</th>
                                                            <td><?php echo !empty($row['accountName']) ? $row['accountName'] : "Null"; ?></td>
                                                        </tr>

                                                        <tr>
                                                            <th>Account Number</th>
                                                            <td><?php echo !empty($row['accountNumber']) ? $row['accountNumber'] : "Null"; ?></td>
                                                        </tr>

                                                        <tr>
                                                            <th>Bank Name</th>
                                                            <td><?php echo !empty($row['bankName']) ? $row['bankName'] : "Null"; ?></td>
                                                        </tr>



                                                    </tbody>
                                                </table>



                                            </div>


                                        </div>
                                         





                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                <?php  } else { ?>

                    <div class="card">
                        <div class="card-header">User Details</div>
                        <div class="card-body">
                        <h5 class="text-danger">Sorry! this account has been deleted or doesn't exist </h5> 
                        </div>
                    </div>
                    
             <?php   }
                ?>

            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
        </div>




        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
        <?php include 'footer.php'; ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->

    <?php include 'script.php'; ?>

    <div class="modal fade" id="add" tabindex="-1" role="dialog" aria-labelledby="addressModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document" style="max-width:550px;">
            <div class="modal-content">
                <form action="controller" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                        <h4 class="modal-title" id="addressModalLabel">Update User Details </h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div><!-- End .modal-header -->
                    <div class="modal-body">


                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="cat1">Firstname </label>
                                    <input type="text" name="fname" id="cat1" required value="<?php echo $row['dfirstname'] ?>" placeholder="Enter Firstname" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="cat1">Lastname </label>
                                    <input type="text" name="lname" id="cat1" required value="<?php echo $row['dlastname'] ?>" placeholder="Enter Lastname" class="form-control">
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label for="cat">Phone </label>
                                    <input type="text" name="phone" required id="cat" value="<?php echo $row['dphone'] ?>" placeholder="Enter Phone" class="form-control">
                                </div>
                            </div>
                            <div class="col-md-7">
                                <div class="form-group">
                                    <label for="cate">Email </label>
                                    <input type="email" name="email" id="cate" required value="<?php echo $row['demail'] ?>" placeholder="Enter Email" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col-md-4">
                                <label for="passport">Passport (Optional)</label>
                                <input type="file" name="passport" accept="image/*" class="form-control-file"  id="changePass">
                                <div class="mt-3">
                                    <img src="./user.png" class="img-thumbnail" id="showPass" alt="" srcset="">
                                </div>
                            </div>

                        </div>

                        <input type="hidden" name="link" value="details/=<?php echo $id ?>/">
                        <input type="hidden" name="userid" value="<?php echo $id ?>"> 
                    </div><!-- End .modal-body -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-link btn-sm" data-dismiss="modal">Close</button>
                        <button type="submit" name="saveUser" class="btn btn-primary btn-sm">Submit</button>
                    </div><!-- End .modal-footer -->
                </form>
            </div><!-- End .modal-content -->
        </div><!-- End .modal-dialog -->
    </div>



    <div class="modal fade" id="employment" role="dialog" aria-labelledby="addressModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <form action="controller" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                        <h4 class="modal-title" id="addressModalLabel">Update Employment Details </h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div><!-- End .modal-header -->
                    <div class="modal-body">

                          
                    
                            <div class="row ">
                                <div class="col-md-6">
                                    <label for="computerid">Computer ID</label>
                                    <input type="text" name="computerid" class="form-control" placeholder="Computer ID" required value="<?= $row['computerId'] ?>">
                                </div>
                                <div class="col-md-6">
                                    <label for="nature">Nature of Employment</label>
                                    <input type="text" name="nature" class="form-control" placeholder="Nature of Employment" required value="<?= $row['natureEmployed'] ?>">
                                </div>
                            </div>

                            <div class="row mt-2">
                                <div class="col-md-4">
                                    <label for="department">Department</label>
                                    <input type="text" name="department" class="form-control" placeholder="Department" required value="<?= $row['ddepartment'] ?>">
                                </div>
                                <div class="col-md-4">
                                    <label for="year">Years of Employment</label>
                                    <input type="number" name="year" class="form-control" placeholder="Years of Employment" required value="<?= $row['yearEmployed'] ?>">
                                </div>
                                <div class="col-md-4">
                                    <label for="designation">Designation</label>
                                    <input type="text" name="designation" class="form-control" placeholder="Designation" required value="<?= $row['ddesignation'] ?>">
                                </div>
                                <div class="col-md-12 mt-2">
                                    <label for="address">Resident Address</label>
                                    <input type="text" name="address" class="form-control" placeholder="Resident Address" required value="<?= $row['residentAddress'] ?>"> 
                                    <input type="hidden" name="link" value="details/=<?php echo $id ?>/">
                                    <input type="hidden" name="userid" value="<?php echo $id ?>">
                                </div>
                               
                            </div>

                       
                       
                    </div><!-- End .modal-body -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-link btn-sm" data-dismiss="modal">Close</button>

                        <button type="submit" name="updateEmployment" value="Create" class="btn btn-primary btn-sm">Submit</button>
                    </div><!-- End .modal-footer -->
                </form>
            </div><!-- End .modal-content -->
        </div><!-- End .modal-dialog -->
    </div>

    <div class="modal fade" id="account" role="dialog" aria-labelledby="addressModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form action="controller" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                        <h4 class="modal-title" id="addressModalLabel">Update Account Details </h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div><!-- End .modal-header -->
                    <div class="modal-body">
 

                        <div class="row ">
                            <div class="col-md-12">
                                <label for="accName">Account Name</label>
                                <input type="text" name="accName" class="form-control" placeholder="Account Name" required value="<?= $row['accountName'] ?>">
                            </div>
                            <div class="col-md-12">
                                <label for="accNumber">Account Number</label>
                                <input type="number" name="accNumber" class="form-control" placeholder="Account Number" required value="<?= $row['accountNumber']?>">
                            </div>
                            <div class="col-md-12">
                                <label for="bank">Bank Name</label>
                                <input type="text" name="bank" class="form-control" placeholder="Bank Name" required value="<?= $row['bankName'] ?>">
                            </div>

                        </div>

                        
                        <input type="hidden" name="link" value="details/=<?php echo $id ?>/">
                        <input type="hidden" name="userid" value="<?php echo $id ?>">
 
                    </div><!-- End .modal-body -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-link btn-sm" data-dismiss="modal">Close</button>

                        <button type="submit" name="accountInfo" value="Create" class="btn btn-primary btn-sm">Submit</button>
                    </div><!-- End .modal-footer -->
                </form>
            </div><!-- End .modal-content -->
        </div><!-- End .modal-dialog -->
    </div>

    <div class="modal fade" id="login" role="dialog" aria-labelledby="addressModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <form action="controller" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                        <h4 class="modal-title" id="addressModalLabel">Activate User Login </h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div><!-- End .modal-header -->
                    <div class="modal-body">
 

                        <div class="row ">
                            <div class="col-md-12">
                                <label for="accName">Fullname</label>
                                <input type="text"  class="form-control" readonly placeholder="Account Name"  value="<?= $name ?>">
                            </div>
                            <div class="col-md-12">
                                <label for="accNumber">Email Address</label>
                                <input type="text" readonly class="form-control" placeholder="Email Address"  value="<?= $email ?>">
                            </div>
                            <div class="col-md-12">
                                <label for="bank">Password</label>
                                <input type="text" name="pass" class="form-control" placeholder="Password" required >
                            </div>

                        </div>

                        
                        <input type="hidden" name="link" value="details/=<?php echo $id ?>/">
                        <input type="hidden" name="userid" value="<?php echo $id ?>">
                        <input type="hidden" name="name" value="<?php echo $name ?>">
                        <input type="hidden" name="email" value="<?php echo $email ?>"> 
 
                    </div><!-- End .modal-body -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-link btn-sm" data-dismiss="modal">Close</button>

                        <button type="submit" name="activateLogin" value="Create" class="btn btn-primary btn-sm">Submit</button>
                    </div><!-- End .modal-footer -->
                </form>
            </div><!-- End .modal-content -->
        </div><!-- End .modal-dialog -->
    </div>


    <script>
        $(document).ready(function() {
           
            $("#changePass").change(function(e) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $("#showPass").attr("src", e.target.result);
                }
                reader.readAsDataURL(e.target.files[0]);
            })

            $(document).on("blur", '#emailCheck', function(){
                // alert("Blurred")
            });
        })
    </script>


</body>


</html>