<?php
require 'clean.php';

require './auth.php';
if ($user['dlevel'] != 'Administrator') {

    if (!in_array('User', $state)) {
        $_SESSION['msg'] = 'Fail! Access denied!';
        header('Location:dashboard');
    }
}

$id = clean($_GET['id']);

?>
<!DOCTYPE html>
<html lang="en">


<?php include 'style.php'; ?>

<body class="skin-default fixed-layout">


    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <?php include 'header.php'; ?>

        <!-- ============================================================== -->
        <!-- End Topbar header -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <?php include 'aside-left.php'; ?>

        <!-- ============================================================== -->
        <!-- End Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="row page-titles">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor">Dashboard </h4>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                <li class="breadcrumb-item active">Manage <?php echo ($id == "agent") ? "Delivery Agent" : ucfirst($id) ?>s </li>
                            </ol>
                        </div>
                    </div>
                </div>

                <?php
                if (isset($_GET['page_no']) && $_GET['page_no'] != "") {
                    $page_no = $_GET['page_no'];
                } else {
                    $page_no = 1;
                }
                $total_records_per_page = 400;

                ?>


                <div class="container " style="margin-top: 20px !important;">
                    <div class="row">
                        <div class="col-md-5"> </div>
                        <div class="col-md-6">
                            <form action="search-user" method="POST">
                                <div class="row" style="margin-top: -20pxd;">
                                    <div class="col-md-8">

                                        <div class="form-group ">
                                            <input type="text" name="search" value="<?php if (isset($_GET['search'])) { echo str_replace("-", " ", $_GET['search']); } ?>" placeholder="Search here.." class="form-control">

                                            <input type="hidden" name="state" value="<?php echo $id ?>" class="form-control">

                                        </div>

                                    </div>
                                    <div class="col-md-4">
                                        <input type="submit" name="user" class="btn btn-info style3 " value="Submit">
                                    </div>

                                </div>
                            </form>

                        </div>
                        <!-- <div class="col-md-3">
                            <button type="button" class="btn btn-primary style3 ">Search</button>
                        </div> -->
                    </div>


                </div>

                <div class="row">
                    <!-- ============================================================== -->
                    <!-- Table -->
                    <!-- ============================================================== -->
                    <div class="col-lg-12">
                        <div class="card">

                            <div class="card-header">
                                Manage <?php echo ($id == "agent") ? "Delivery Agent" : ucfirst($id) ?> Users
                            </div>
                            <div class="card-body">
                                <?php if (isset($_SESSION['report'])) echo $_SESSION['report']; ?>
                                <div class="table-responsive " style="min-height: 300px;">
                                    <table class="table table-hover no-wrap">
                                        <thead>
                                            <tr>
                                                <th>Fullname</th>
                                                <th>Phone</th>
                                                <th>Email</th>
                                                <th>---</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php

                                            if (isset($_GET['search']) and !empty($_GET['search'])) {
                                                $search = $conn->real_escape_string(str_replace("-", " ", $_GET['search']));

                                                $sqls = $conn->query("SELECT * FROM `dlogin` WHERE (dfullname LIKE '%$search%' OR demail LIKE '%$search%' OR dphone LIKE '%$search%' OR dfirstname LIKE '%$search%' OR dlastname LIKE '%$search%' )  AND account_status='$id' ORDER BY dfullname ");
                                                $total_records = $sqls->num_rows;
                                                $total_no_of_pages = ceil($total_records / $total_records_per_page);
                                                $start_from = ($page_no - 1) * $total_records_per_page;

                                                $c = $conn->query("SELECT * FROM `dlogin` WHERE (dfullname LIKE '%$search%' OR demail LIKE '%$search%' OR dphone LIKE '%$search%' OR dfirstname LIKE '%$search%' OR dlastname LIKE '%$search%' )  AND account_status='$id' ORDER BY dfullname  LIMIT $start_from, $total_records_per_page");
                                            } else {
                                                $sqls = $conn->query("SELECT * FROM `dlogin` WHERE dstatus !='ban' AND account_status='$id' ORDER BY dfullname ");
                                                $total_records = $sqls->num_rows;
                                                $total_no_of_pages = ceil($total_records / $total_records_per_page);
                                                $start_from = ($page_no - 1) * $total_records_per_page;

                                                $c = $conn->query("SELECT * FROM `dlogin` WHERE dstatus !='ban' AND account_status='$id' ORDER BY dfullname LIMIT $start_from, $total_records_per_page");
                                            }
                                            if ($c->num_rows > 0) {
                                                $num = 1;
                                                while ($row = $c->fetch_assoc()) : ?>
                                                    <tr>
                                                        <?php if (!empty($row['dfullname'])) { ?>
                                                            <td><?php echo $row['dfullname']; ?></td>
                                                        <?php } else { ?>
                                                            <td><?php echo $row['dfirstname'].' '.$row['dlastname']; ?></td>
                                                        <?php } ?>

                                                        <td><?php echo $row['dphone']; ?></td>
                                                        <td><?php echo $row['demail']; ?></td>
                                                        <td>

                                                            <a href="details/<?php echo $row['userid']; ?>/" class="btn btn-primary btn-sm">Details</a>


                                                        </td>
                                                    </tr>
                                            <?php endwhile;
                                            } else {
                                                echo '
                                                <tr>
                                                <td colspan="8" class="text-danger">Sorry! No result found </td>
                                                </tr>
                                                ';
                                            }
                                            ?>

                                        </tbody>
                                    </table>



                                </div>
                            </div>
                            <div class="card-footer">
                                <ul class="pagination pagination-md justify-content-center">

                                    <?php
                                    if (isset($_GET['search']) and !empty($_GET['search'])) {
                                        for ($counter = 1; $counter <= $total_no_of_pages; $counter++) {
                                            echo "<li  class='page-item '><a class='page-link' href='users/$counter/$search/' style='color:#0088cc;'>$counter</a></li>";
                                        }
                                    } else {
                                        for ($counter = 1; $counter <= $total_no_of_pages; $counter++) {
                                            echo "<li  class='page-item '><a class='page-link' href='users/$id/$counter' style='color:#0088cc;'>$counter</a></li>";
                                        }
                                    }

                                    ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
        </div>



        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
        <?php include 'footer.php'; ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->

    <?php include 'script.php'; ?>
</body>


</html>