<?php

require __DIR__ . '/PHPMailer/src/Exception.php';
require __DIR__ . '/PHPMailer/src/PHPMailer.php';
require __DIR__ . '/PHPMailer/src/SMTP.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;


class EmailSender
{
    public static function sendEmail($toEmail, $toName, $subject, $bodyhtml, $mailTemplate)
    {
        $mail = new PHPMailer(true);


        $swap = array(
            "{SITE_ADDR}" => SITELINK,
            "{SITETITLE}" => SITENAME,
            "{ICON}" => SITEICON,
            "{LOGO}" => SITELOGO,
            "{TEMPLATE}" => $mailTemplate,
        );



        //create the html message
        if (file_exists($bodyhtml)) {
            $message = file_get_contents($bodyhtml);
        } else {
            die("Unable to locate file");
        }


        foreach (array_keys($swap) as $key) {
            if (strlen($key) > 2 && trim($key) != '') {
                $body = str_replace($key, $swap[$key], $message);
            }
        }


        try {
            // Server settings
            $mail->SMTPDebug = 0;                      // Enable verbose debug output
           
            $mail->isSMTP();
            $mail->Host = 'staging-luzoma.com.ng'; // SMTP server
            $mail->SMTPAuth = true;
            $mail->Username = 'xrider@staging-luzoma.com.ng'; // Your email
            $mail->Password = '@admin2025@'; // Your email password
            $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS; // Use SSL
            $mail->Port = 465; // SMTP port for SSL
        

            // Sender information
            $mail->setFrom('xrider@staging-luzoma.com.ng', 'Xrider Services');
            $mail->addReplyTo('xrider@staging-luzoma.com.ng', 'Xrider Services');

            // Recipient
            $mail->addAddress($toEmail, $toName);   

            // Content
            $mail->isHTML(true);                 
            $mail->Subject = $subject;
            $mail->Body    = $body;
            // $mail->AltBody = 'This is the body in plain text for non-HTML mail clients';

            $mail->send();
           return true;
        } catch (Exception $e) {
            return false;
        }
    }
}

// Usage example
// EmailSender::sendEmail('youngelefiku@gmail.com', 'Joe User', 'Here is the subject', 'This is the HTML message body <b>in bold!</b>');
