<?php

require_once dirname(__DIR__) . '/require.php';
$jsonData = json_decode(file_get_contents("php://input"));

//TODO: POST REQUEST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    //TODO: REGISTER
    if (isset($jsonData->Message) and $jsonData->Message == 'register') {

        $fname = CommonFunctions::clean($jsonData->fname);
        $lname = CommonFunctions::clean($jsonData->lname);
        $phone = CommonFunctions::clean($jsonData->phone);
        $email = CommonFunctions::clean($jsonData->email);
        $pass = CommonFunctions::clean($jsonData->pass); 


        $data = [
            "dfirstname" => $fname,
            "dlastname" => $lname,
            "dphone" => $phone,
            "demail" => $email,
            "userid" => CommonFunctions::generateUniqueID(),
            "dpassword" => CommonFunctions::hashPassword($pass), 
            "dpin" => rand(1234, 5678),
            "regDate" => CommonFunctions::getDateTime(1),
            "searchDate" => CommonFunctions::getDate('1 hour'),
        ];

        echo $model->createNewUser($email, $phone, $data);
    }
}
