<?php
require 'clean.php';
$trans = md5(date("ymdhis") . rand(10000, 99999));
$now = gmdate("Y-m-d H:i:s");
$date = date('Y-m-d H:i:s', strtotime("+1 hour", strtotime($now)));


include_once __DIR__ . '/require.php';
// $rate = $admin['drate'];


$connection = new Connection();
$model = new Model($connection);
$query = new QueryBuilder();


$unique = rand(12345, 56789);



function updateLogin($id, $status)
{
    runQuery("UPDATE `dlogin` SET status='$status' WHERE userid='$id'");
}


function updateTable($table, $setter, $clause)
{
    runQuery("UPDATE $table SET $setter WHERE $clause");
}


function deleteForMe($tableName, $clause)
{
    runQuery("DELETE FROM $tableName WHERE $clause ");
}

function appDelete($clause)
{
    runQuery("DELETE FROM $clause");
}

function insertForMe($tableName, $clause)
{
    runQuery("INSERT INTO $tableName SET $clause ");
}



if (isset($_POST['Message']) and $_POST['Message'] == "Ban") {
    $id = clean($_POST['id']);
    updateTable("dlogin", "dstatus='ban'", "userid='$id'");
}

if (isset($_POST['Message']) and $_POST['Message'] == "UnBan") {
    updateSingleForMe('dlogin', 'dstatus', 'active', 'userid', clean($_POST['id']));
}

 


//TODO: updated version of appRequest.
if (isset($_POST['Message']) and $_POST['Message'] == "sendMessage") :
    
    $email = CommonFunctions::clean($_POST['id']['email']);
    $mailTemplate = CommonFunctions::clean($_POST['id']['body']);
    $name = CommonFunctions::clean($_POST['id']['name']);
    $subject = CommonFunctions::clean($_POST['id']['subject']);
    $template = __DIR__ . "/models/emailController/mailTemplate.php";
    EmailSender::sendEmail($email, $name, $subject, $template, $mailTemplate);

    echo json_encode(['success' => true]);
endif;


if (isset($_POST['Message']) and $_POST['Message'] == "appRequest") :

    $state = CommonFunctions::clean($_POST['id']['state']);
    $table = CommonFunctions::clean($_POST['id']['table']);
    $clause = $_POST['id']['clause'];
    $data = $_POST['id']['data'];


    //TODO: Delete here.
    if ($state == 'delete') {
        $model->deleteForMe($table, $clause);
        $success = 'true';
    }
    //TODO: Update here.
    if ($state == 'update') {


        if ($model->runUpdate($table, $data, $clause)) {
            $success = 'true';
            //TODO: check if email is set.
            if (isset($_POST['id']['emailAddress']) and !empty($_POST['id']['emailAddress'])) {
                $name = $_POST['id']['emailAddress']['name'];
                $phone = $_POST['id']['emailAddress']['phone'];
                $email = $_POST['id']['emailAddress']['email'];
                //TODO: Send message.
                $subject = $_POST['id']['emailAddress']['subject'];
                $mailTemplate = $_POST['id']['emailAddress']['message'];

                $template = __DIR__ . "/models/emailController/mailTemplate.php";
                EmailSender::sendEmail($email, $name, $subject, $template, $mailTemplate);
            }
            //TODO: check if approve.
            if (isset($_POST['id']['spread']) and !empty($_POST['id']['spread'])) {
                $limit = $_POST['id']['spread']['limit'];
                $amount = $_POST['id']['spread']['amount'];
                $userid = $_POST['id']['spread']['userid'];
                $name = $_POST['id']['emailAddress']['name'];
                $phone = $_POST['id']['emailAddress']['phone'];
                //TODO: crate new record with number of limit using for loop.
                for ($counter = 1; $counter <= $limit; $counter++) {
                    $trans = hash("SHA256", date("ymdhis") . rand(10000, 99999));
                    $date = gmdate('Y-m-d H:i:s', strtotime("+1 hour"));
                    //TODO: get starting day from date, if day is less than or equal to 13 start from that month else start from the following month increase it with limit.
                    $day = date('d', strtotime($date));
                    $newMonth = $counter == 1 ? "month" : "months";
                    if ($day <= 13) {
                        // $month = $month;
                        if ($counter == 1) {
                            $dateTime = date('Y-m-t H:i:s');
                            $toDate = date('Y-m-t');
                            $month = date('m');
                        } else {
                            $find = $counter - 1;
                            $newMonth = $find == 1 ? "month" : "months";
                            $dateTime = date('Y-m-t H:i:s', strtotime("+$find $newMonth"));
                            $toDate = date('Y-m-t', strtotime("+$find $newMonth"));
                            $month = date('m', strtotime("+$find $newMonth"));
                        }
                    } else {
                        $dateTime = date('Y-m-t H:i:s', strtotime("+$counter $newMonth"));
                        $toDate = date('Y-m-t', strtotime("+$counter $newMonth"));
                        $month = date('m', strtotime("+$counter $newMonth"));
                    }


                    //remove leading zero from month
                    $month = ltrim($month, '0') - 1;
                    //TODO: get month name from month number. 
                    $months = ["January", "February", "March", "April", "May", "June", "July",  "August", "September", "October", "November", "December"];

                    //data should be array
                    $desc = "Dear $name your loan repayment for the " . $months[$month] . " has been received.";
                    $title = "Samogoza loan";
                    // $title = $months[$month]." loan payment";
                    $data = array(
                        'rid' => $trans,
                        'requestId' => $clause['rid'],
                        'userid' => $userid,
                        'damount' => $amount,
                        'dtitle' => $title,
                        'ddesc' => $desc,
                        'payDate' => $dateTime,
                        'smsDate' => $toDate,
                    );
                    $model->runInsert("drepayment", $data);
                }
            }
        } else {
            $success = 'false';
        }
    }
    //TODO: Create here.
    if ($state == 'create') {
    }

    //TODO: remove any image set

    if (isset($_POST['id']['img'])) {
        $image = $_POST['id']['img'];
        if (!empty($image)) {
            foreach ($image as $key => $value) {
                // echo $value."\n";
                if (!empty($value)) {
                    @unlink("../img/" . $value);
                }
            }
        }
    }


    //TODO:rebuild session

    if (isset($_POST['id']['rebuild'])) {
        $userid = $_POST['id']['rebuild']['userid'];
        $_SESSION['userInfo'] = $model->getUser($userid);
    }


    echo json_encode(['success' => $success]);

endif;
//TODO end





if (isset($_POST['Message']) and $_POST['Message'] == "appDelete") :
    $id = clean($_POST['id']['id']);
    $img = clean($_POST['id']['img']);
    $state = clean($_POST['id']['state']);
    // $statement = clean($_POST['id']['statement']); 
    // deleteForMe('dwithdrawal', "wid='$id'"); 
    if ($state == 'blog') {
        deleteForMe('dblog', "bid='$id'");
    }
    // appDelete($statement);
    @unlink($img);



endif;


//sure

function updateSingleForMe($tableName, $tableColumn, $columnValue, $rowId, $id)
{
    runQuery("UPDATE `$tableName` SET $tableColumn='$columnValue' WHERE $rowId='$id'");
}
