<?php

require './auth.php';


if ($_SERVER['REQUEST_METHOD'] == "POST") {


    // TODO: CHANGE PASSWORD
    if (isset($_POST['saveChangePassword'])) :
        $old = CommonFunctions::clean($_POST['old']);
        $pass = CommonFunctions::clean($_POST['pass']);
        $cpass = CommonFunctions::clean($_POST['cpass']);

        if ($pass == $cpass) {
            $data = ["dpassword" => hash("SHA256", $pass)];
            if (hash_equals(hash("SHA256", $old), $user['dpassword'])) {
                if ($helper->update('dadmin', $data, ['adminid' => $userid])) {
                    CommonFunctions::sweetAlert("Password changed successfully");
                } else {
                    CommonFunctions::sweetAlert("Failed to change password", 'error');
                }
            } else {
                CommonFunctions::sweetAlert("Old password doesn't match, try it again", 'error');
            }
        } else {
            CommonFunctions::sweetAlert("Password doesn't match, try it again", 'error');
        }

        CommonFunctions::route('change-password');
    endif;


    //TODO: Category/Price
    if (isset($_POST['savePrice'])) {
        $category = CommonFunctions::clean($_POST['category']);
        $price = CommonFunctions::clean($_POST['price']);
        $link = CommonFunctions::clean($_POST['link']);
        $data = [
            'dcategory' => $category,
            'perKm' => $price,
        ];
        if ($_POST['savePrice'] == 'create') {
            if ($helper->create("dcategory", $data)) {
                CommonFunctions::sweetAlert('Created succesfully');
            } else {
                CommonFunctions::sweetAlert('Fail! try again later', 'error');
            }
        } else {
            $id = CommonFunctions::clean($_POST['id']);
            if ($helper->update("dcategory", $data, ['id' => $id])) {
                CommonFunctions::sweetAlert('Updated succesfully');
            } else {
                CommonFunctions::sweetAlert('Fail! try again later', 'error');
            }
        }
        CommonFunctions::route($link);
    }

    //TODO: LOGIN ADMIN 
    if (isset($_POST['log'])) :
        $email = CommonFunctions::clean($_POST['email']);
        $pass = CommonFunctions::clean($_POST['pass']);

        if ($model->login($email, $pass)) {
            CommonFunctions::route('dashboard');
            return;
        }
        $_SESSION['msg'] = CommonFunctions::showAlert("Invalid details provided", 'error');


        CommonFunctions::route('index');
    endif;




    if (isset($_POST['saveAbout'])) {
        $name = CommonFunctions::clean($_POST['name']);
        $link = CommonFunctions::clean($_POST['link']);
        $desc = htmlspecialchars($_POST['desc']);

        if ($helper->update('dlist', [$name => $desc], ['id' => 1])) {
            CommonFunctions::sweetAlert('Updated succesfully');
        } else {
            CommonFunctions::sweetAlert('Fail! try again later', 'error');
        }

        CommonFunctions::route($link);
    }
}
