<?php
require 'clean.php';

require './auth.php';
if ($user['dlevel'] != 'Administrator') {

    if (!in_array('User', $state)) {
        $_SESSION['msg'] = 'Fail! Access denied!';
        header('Location:dashboard');
    }
}


?>
<!DOCTYPE html>
<html lang="en">


<?php include 'style.php'; ?>

<body class="skin-default fixed-layout">


    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <?php include 'header.php'; ?>

        <!-- ============================================================== -->
        <!-- End Topbar header -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <?php include 'aside-left.php'; ?>

        <!-- ============================================================== -->
        <!-- End Left Sidebar - style you can find in sidebar.scss  -->
        <!-- ============================================================== -->
        <!-- ============================================================== -->
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="row page-titles">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor">Dashboard </h4>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                <li class="breadcrumb-item active">Manage Financial </li>
                            </ol>
                        </div>
                    </div>
                </div>

                <?php
                if (isset($_GET['page_no']) && $_GET['page_no'] != "") {
                    $page_no = $_GET['page_no'];
                } else {
                    $page_no = 1;
                }
                $total_records_per_page = 400;

                ?>

                <div class="container " style="margin-top: 20px !important;">
                    <div class="row">
                        <div class="col-md-5"> </div>
                        <div class="col-md-6">
                            <form action="search-user" method="POST">
                                <div class="row" style="margin-top: -20pxd;">

                                    <div class="col-md-6 mb-3">
                                        <label for="">From</label>
                                        <input type="date" name="from" value="<?= date("Y-m-01") ?>" class="form-control" id="">
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <label for="">To</label>
                                        <input type="date" name="to" value="<?= date("Y-m-d") ?>" class="form-control" id="">
                                    </div>



                                    <div class="col-md-8">

                                        <div class="form-group ">
                                            <input type="text" name="search" value="<?php if (isset($_GET['search'])) {
                                                                                        echo str_replace("-", " ", $_GET['search']);
                                                                                    } ?>" placeholder="Search by name e.g. John Chokocho" class="form-control">

                                            <small class="text-danger">Note: you can search with only date (FROM - TO)</small>
                                        </div>

                                    </div>
                                    <div class="col-md-4">
                                        <input type="submit" name="financial" class="btn btn-info style3 w-100 " value="Submit">
                                    </div>

                                </div>
                            </form>

                        </div>
                        <!-- <div class="col-md-3">
                            <button type="button" class="btn btn-primary style3 ">Search</button>
                        </div> -->
                    </div>


                </div>


                <?php $switch = false;

                if (isset($_GET['from']) and !empty($_GET['from']) and isset($_GET['to']) and !empty($_GET['to']) and isset($_GET['search']) and empty($_GET['search'])) {
                    $startDate = clean($_GET['from']);
                    $endDate = clean($_GET['to']);
                } else if (isset($_GET['from']) and !empty($_GET['from']) and isset($_GET['to']) and !empty($_GET['to']) and isset($_GET['search']) and !empty($_GET['search'])) {
                    $startDate = clean($_GET['from']);
                    $endDate = clean($_GET['to']);
                    $search = clean($_GET['search']);
                    $switch = true;
                } else {


                    $startDate = date('Y-m-01');
                    $endDate = date('Y-m-d');
                }
                ?>




                <div class="row">
                    <!-- ============================================================== -->
                    <!-- Table -->
                    <!-- ============================================================== -->
                    <div class="col-lg-12">
                        <div class="card">

                            <div class="card-header">
                                <h3> Loan History</h3>
                            </div>
                            <div class="card-body">
                                <?php
                                if ($switch) {
                                } else {
                                    $startDate = date('Y-m-01');
                                    $endDate = date('Y-m-d');
                                    $sql = runQuery("SELECT dl.dfullname, dr.amountApply, dr.spreadPeriod, dr.amountAvailable, dr.drate, dr.totalBalance, dr.amountDeducted FROM drequest dr INNER JOIN dlogin dl ON dr.userid = dl.userid  ");
                                }
                                //     $sql = runQuery("SELECT dl.dfullname, dr.amountApply, dr.spreadPeriod, dr.amountAvailable, dr.drate, dr.totalBalance, dr.amountDeducted FROM drequest dr INNER JOIN dlogin dl ON dr.userid = dl.userid WHERE dr.dstatus='approved' AND dr.searchDate BETWEEN '$startDate' AND '$endDate' ");
                                // }

                                if (numRows($sql) > 0) {
                                    $num = 1;
                                ?>
                                    <div class="row">
                                        <div class="col-md-12">


                                            <div class="table-responsive">
                                                <table class="table">

                                                    <thead>
                                                        <tr>
                                                            <th>S/N</th>
                                                            <th>Name</th>
                                                            <th>Principal</th>
                                                            <th>Monthly Prin</th>
                                                            <th>Monthly Interest</th>
                                                            <th>Rate(%)</th>
                                                            <th>Duration</th>
                                                            <th>Total Int Pay</th>
                                                            <th>Payable</th>
                                                            <th>Monthly Deduction</th>
                                                            <th>Balance</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>

                                                        <?php while ($row = fetchAssoc($sql)) { ?>
                                                            <tr>

                                                                <td><?= $num++ ?></td>
                                                                <td><?= ucfirst($row['dfullname']) ?></td>
                                                                <td><?= formatNaira($row['amountApply']) ?></td>
                                                                <td><?= formatNaira($row['amountDeducted'] - ($row['amountApply'] * 0.06)) ?></td>
                                                                <td><?= formatNaira($row['amountApply'] * 0.06) ?></td>
                                                                <td><?= $row['drate'] ?>%</td>
                                                                <td><?= $row['spreadPeriod'] ?></td>
                                                                <td><?= formatNaira(($row['amountApply'] * 0.06) * removeMonths($row['spreadPeriod'])) ?></td>
                                                                <td><?= formatNaira($row['amountDeducted'] * removeMonths($row['spreadPeriod'])) ?></td>
                                                                <td><?= formatNaira($row['amountAvailable']) ?></td>
                                                                <td><?= formatNaira($row['totalBalance']) ?></td>

                                                            </tr>
                                                        <?php } ?>

                                                    </tbody>

                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                <?php } ?>

                            </div>
                        </div>


                    </div>
                </div>
            </div>

        </div>
        <!-- ============================================================== -->
        <!-- End Container fluid  -->
        <!-- ============================================================== -->
    </div>



    <!-- ============================================================== -->
    <!-- End Page wrapper  -->
    <!-- ============================================================== -->
    <?php include 'footer.php'; ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->

    <?php include 'script.php'; ?>
</body>


</html>