<?php
require 'clean.php';

require './auth.php';
if ($user['dlevel'] != 'Administrator') {

    if (!in_array('User', $state)) {
        $_SESSION['msg'] = 'Fail! Access denied!';
        header('Location:dashboard');
    }
}

$id = clean($_GET['id']);

?>
<!DOCTYPE html>
<html lang="en">


<?php include 'style.php'; ?>

<body class="skin-default fixed-layout">


    <div id="main-wrapper">
        <!-- ============================================================== -->
        <!-- Topbar header - style you can find in pages.scss -->
        <!-- ============================================================== -->
        <?php include 'header.php'; ?>
        <?php include 'aside-left.php'; ?>
        <!-- Page wrapper  -->
        <!-- ============================================================== -->
        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="row page-titles">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor">Dashboard </h4>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                <li class="breadcrumb-item active">Manual Users </li>
                            </ol>
                        </div>
                    </div>
                </div>

                <?php
                if (isset($_GET['page_no']) && $_GET['page_no'] != "") {
                    $page_no = $_GET['page_no'];
                } else {
                    $page_no = 1;
                }
                $total_records_per_page = 400;

                ?>


                <div class="container " style="margin-top: 20px !important;">
                    <div class="row">

                        <div class="col-md-3"> </div>
                        <div class="col-md-6">
                            <form action="search-user" method="POST">
                                <div class="row">
                                    <div class="col-md-8">

                                        <div class="form-group ">
                                            <input type="text" name="search" value="<?php if (isset($_GET['search'])) {
                                                                                        echo str_replace("-", " ", $_GET['search']);
                                                                                    } ?>" placeholder="Search here.." class="form-control">

                                            <input type="hidden" name="state" value="<?php echo $id ?>" class="form-control">

                                        </div>

                                    </div>
                                    <div class="col-md-4">
                                        <button type="submit" name="user" class="btn btn-dark style3 "> <i class="fa fa-search"></i> Search </button>
                                    </div>

                                </div>
                            </form>

                        </div>
                        <div class="col-md-3">
                            <button type="button" data-toggle="modal" data-target="#add" class="btn btn-info"> <i class="fa fa-plus"></i> Create New User</button>
                        </div>
                    </div>


                </div>

                <div class="row">
                    <!-- ============================================================== -->
                    <!-- Table -->
                    <!-- ============================================================== -->
                    <div class="col-lg-12">
                        <div class="card">

                            <div class="card-header">
                                Manage <?php echo ($id == "agent") ? "Delivery Agent" : ucfirst($id) ?> Users
                            </div>
                            <div class="card-body">
                                <?php if (isset($_SESSION['report'])) echo $_SESSION['report']; ?>
                                <div class="table-responsive " style="min-height: 300px;">
                                    <table class="table table-hover no-wrap">
                                        <thead>
                                            <tr>
                                                <th>S/N</th>
                                                <th>Computer ID</th>
                                                <th>Fullname</th>
                                                <th>Phone</th>
                                                <th>Email</th>
                                                <th>---</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php

                                            if (isset($_GET['search']) and !empty($_GET['search'])) {
                                                $search = $conn->real_escape_string(str_replace("-", " ", $_GET['search']));

                                                $sqls = $conn->query("SELECT * FROM `dlogin` WHERE (dfullname LIKE '%$search%' OR demail LIKE '%$search%' OR dphone LIKE '%$search%' OR dfirstname LIKE '%$search%' OR dlastname LIKE '%$search%' )  AND account_status='$id' ORDER BY dfullname ");
                                                $total_records = $sqls->num_rows;
                                                $total_no_of_pages = ceil($total_records / $total_records_per_page);
                                                $start_from = ($page_no - 1) * $total_records_per_page;

                                                $c = $conn->query("SELECT * FROM `dlogin` WHERE (dfullname LIKE '%$search%' OR demail LIKE '%$search%' OR dphone LIKE '%$search%' OR dfirstname LIKE '%$search%' OR dlastname LIKE '%$search%' )  AND account_status='$id' ORDER BY dfullname  LIMIT $start_from, $total_records_per_page");
                                            } else {
                                                if($_GET['id'] =='banned'){
                                                    $sqls = $conn->query("SELECT * FROM `dlogin` WHERE dstatus ='banned' AND createdBy = 'admin' ORDER BY dfullname ");
                                                    $total_records = $sqls->num_rows;
                                                    $total_no_of_pages = ceil($total_records / $total_records_per_page);
                                                    $start_from = ($page_no - 1) * $total_records_per_page;
    
                                                    $c = $conn->query("SELECT * FROM `dlogin` WHERE dstatus ='banned' AND createdBy = 'admin' ORDER BY dfullname LIMIT $start_from, $total_records_per_page");
                                                }else{
                                                    $sqls = $conn->query("SELECT * FROM `dlogin` WHERE dstatus !='ban' AND createdBy = 'admin' ORDER BY dfullname ");
                                                    $total_records = $sqls->num_rows;
                                                    $total_no_of_pages = ceil($total_records / $total_records_per_page);
                                                    $start_from = ($page_no - 1) * $total_records_per_page;
    
                                                    $c = $conn->query("SELECT * FROM `dlogin` WHERE dstatus !='ban' AND createdBy = 'admin' ORDER BY dfullname LIMIT $start_from, $total_records_per_page");
                                                }
                                               
                                            }
                                            if ($c->num_rows > 0) {
                                                $num = 1;
                                                while ($row = $c->fetch_assoc()) : ?>
                                                    <tr>
                                                    <td><?php echo $num++; ?></td>
                                                    <td><?php echo $row['computerId']; ?></td>
                                                        <?php if (!empty($row['dfullname'])) { ?>
                                                            <td><?php echo $row['dfullname']; ?></td>
                                                        <?php } else { ?>
                                                            <td><?php echo $row['dfirstname'] . ' ' . $row['dlastname']; ?></td>
                                                        <?php } ?>

                                                        <td><?php echo $row['dphone']; ?></td>
                                                        <td><?php echo $row['demail']; ?></td>
                                                        <td>

                                                            <a href="details/<?php echo $row['userid']; ?>/" class="btn btn-primary btn-sm">Details</a>


                                                        </td>
                                                    </tr>
                                            <?php endwhile;
                                            } else {
                                                echo '
                                                <tr>
                                                <td colspan="8" class="text-danger">Sorry! No result found </td>
                                                </tr>
                                                ';
                                            }
                                            ?>

                                        </tbody>
                                    </table>



                                </div>
                            </div>
                            <div class="card-footer">
                                <ul class="pagination pagination-md justify-content-center">

                                    <?php
                                    if (isset($_GET['search']) and !empty($_GET['search'])) {
                                        for ($counter = 1; $counter <= $total_no_of_pages; $counter++) {
                                            echo "<li  class='page-item '><a class='page-link' href='users/$counter/$search/' style='color:#0088cc;'>$counter</a></li>";
                                        }
                                    } else {
                                        for ($counter = 1; $counter <= $total_no_of_pages; $counter++) {
                                            echo "<li  class='page-item '><a class='page-link' href='users/$id/$counter' style='color:#0088cc;'>$counter</a></li>";
                                        }
                                    }

                                    ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
        </div>



        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
        <?php include 'footer.php'; ?>

    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->

    <?php include 'script.php'; ?>


    <div class="modal fade" id="add" role="dialog" aria-labelledby="addressModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <form action="controller" method="post" enctype="multipart/form-data">
                    <div class="modal-header">
                        <h3 class="modal-title" id="addressModalLabel">Create New User </h3>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div><!-- End .modal-header -->
                    <div class="modal-body">

                        <div class="row">
                            <div class="col-md-6">
                                <label for="fname">First Name</label>
                                <input type="text" name="fname" class="form-control" placeholder="First Name" required id="">
                            </div>
                            <div class="col-md-6">
                                <label for="lname">Last Name</label>
                                <input type="text" name="lname" class="form-control" placeholder="Last Name" required id="">
                            </div>
                        </div>

                        <div class="row mt-2">
                            <div class="col-md-6">
                                <label for="phone">Phone Number</label>
                                <input type="number" name="phone" class="form-control" placeholder="Phone Number" required id="">
                            </div>
                            <div class="col-md-6">
                                <label for="email">Email Address</label>
                                <input type="email" name="email" id='emailCheck' class="form-control" placeholder="Email Address" required id="">
                            </div>
                        </div>
                        <div style="background:#eee" class="px-2 py-3 my-3">
                            <h4 class=" mt-3">Employment Details</h4>
                            <hr>
                            <div class="row mt-2">
                                <div class="col-md-6">
                                    <label for="computerid">Computer ID</label>
                                    <input type="text" name="computerid" class="form-control" placeholder="Computer ID" required id="">
                                </div>
                                <div class="col-md-6">
                                    <label for="nature">Nature of Employment</label>
                                    <input type="text" name="nature" class="form-control" placeholder="Nature of Employment" required id="">
                                </div>
                            </div>

                            <div class="row mt-2">
                                <div class="col-md-4">
                                    <label for="department">Department</label>
                                    <input type="text" name="department" class="form-control" placeholder="Department" required id="">
                                </div>
                                <div class="col-md-4">
                                    <label for="year">Years of Employment</label>
                                    <input type="number" name="year" class="form-control" placeholder="Years of Employment" required id="">
                                </div>
                                <div class="col-md-4">
                                    <label for="designation">Designation</label>
                                    <input type="text" name="designation" class="form-control" placeholder="Designation" required id="">
                                </div>
                                <div class="col-md-12 mt-2">
                                    <label for="address">Resident Address</label>
                                    <input type="text" name="address" class="form-control" placeholder="Resident Address" required id="">
                                </div>
                               
                            </div>

                        </div>
                        <h4 class=" mt-3">Account Details</h4>
                        <hr>

                        <div class="row mt-2">
                            <div class="col-md-4">
                                <label for="accName">Account Name</label>
                                <input type="text" name="accName" class="form-control" placeholder="Account Name" required id="">
                            </div>
                            <div class="col-md-4">
                                <label for="accNumber">Account Number</label>
                                <input type="number" name="accNumber" class="form-control" placeholder="Account Number" required id="">
                            </div>
                            <div class="col-md-4">
                                <label for="bank">Bank Name</label>
                                <input type="text" name="bank" class="form-control" placeholder="Bank Name" required id="">
                            </div>

                        </div>

                        <div class="row mt-3">
                            <div class="col-md-4">
                                <label for="passport">Passport</label>
                                <input type="file" name="passport" accept="image/*" class="form-control-file" required id="changePass">
                                <div class="mt-3">
                                    <img src="./user.png" class="img-thumbnail" id="showPass" alt="" srcset="">
                                </div>
                            </div>


                        </div>

 
                    </div><!-- End .modal-body -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-link btn-sm" data-dismiss="modal">Close</button>

                        <button type="submit" name="createUser" value="Create" class="btn btn-primary btn-sm">Submit</button>
                    </div><!-- End .modal-footer -->
                </form>
            </div><!-- End .modal-content -->
        </div><!-- End .modal-dialog -->
    </div>


    <script>
        $(document).ready(function() {
           
            $("#changePass").change(function(e) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $("#showPass").attr("src", e.target.result);
                }
                reader.readAsDataURL(e.target.files[0]);
            })

            $(document).on("blur", '#emailCheck', function(){
                // alert("Blurred")
            });
        })
    </script>
</body>


</html>